Package ru.bitel.bgbilling.modules.bill.server.bean

# Class TemplateBillManager

java.lang.Object
ru.bitel.bgbilling.kernel.base.server.logger.BGLogger
ru.bitel.bgbilling.modules.bill.server.bean.TemplateBillManager

public class TemplateBillManager extends ru.bitel.bgbilling.kernel.base.server.logger.BGLogger

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `TemplateBillManager(Connection con, int moduleId, DocumentType documentType)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `List<TemplateBill>`
  `getTemplatePayBillList(Preferences moduleSetup, int yy, int mm, String contractLabels, String cids, String docTypes, String[] outgoing)`
  Генерация счетов.
  `List<TemplateBill>`
  `getTemplatePayBillList(Preferences moduleSetup, int yy, int mm, String contractLabels, String cids, String docTypes, String[] outgoing, boolean checkPast)`
  Генерация счетов
  `void`
  `getTemplatePositions(ContractDao contractDao, TemplateBill bill, Calendar date, int contractId, String billCids, ContractDocType contractDocType, DocType docType, Map<Integer,Position> positionMap)`

  ### Methods inherited from class ru.bitel.bgbilling.kernel.base.server.logger.BGLogger

  `error, error, error, getLogger, logError, logError, warn`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### TemplateBillManager

    public TemplateBillManager(Connection con, int moduleId, DocumentType documentType)

- ## Method Details

  - ### getTemplatePayBillList

    public List<TemplateBill> getTemplatePayBillList(Preferences moduleSetup, int yy, int mm, String contractLabels, String cids, String docTypes, String[] outgoing) throws ru.bitel.bgbilling.common.BGException
    Генерация счетов. Не генерирует счета за будущее.
    Parameters:
      `moduleSetup` - -setup модуля Бухгалтерия
      `yy` - - год
      `mm` - = месяц
      `contractLabels` - - метки договоров
      `cids` - - договора
      `docTypes` - - типы документов
      `outgoing` -
    Returns:
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### getTemplatePayBillList

    public List<TemplateBill> getTemplatePayBillList(Preferences moduleSetup, int yy, int mm, String contractLabels, String cids, String docTypes, String[] outgoing, boolean checkPast) throws ru.bitel.bgbilling.common.BGException
    Генерация счетов
    Parameters:
      `moduleSetup` - -setup модуля Бухгалтерия
      `yy` - - год
      `mm` - = месяц
      `contractLabels` - - метки договоров
      `cids` - - договора
      `docTypes` - - типы документов
      `outgoing` -
      `checkPast` - - true: проверять то, что мы не генериурем счет в будущем и если в будущем, то ничего не делать.
    Returns:
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### getTemplatePositions

    public void getTemplatePositions(ContractDao contractDao, TemplateBill bill, Calendar date, int contractId, String billCids, ContractDocType contractDocType, DocType docType, Map<Integer,Position> positionMap) throws Exception
    Throws:
      `Exception`